Page MenuHomePhabricator

Move maps share to labstore1003
Closed, ResolvedPublic

Description

As part of labstore migration we are going to move maps off of labstore1001 to labstore1003 where it will live alongside scratch and dumps.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 7 2016, 5:24 PM

Change 314727 had a related patch set uploaded (by Madhuvishy):
maps: Mount maps share on labstore1003

https://gerrit.wikimedia.org/r/314727

Change 314727 merged by Madhuvishy:
maps: Mount maps share on labstore1003

https://gerrit.wikimedia.org/r/314727

Change 316482 had a related patch set uploaded (by Madhuvishy):
labstore: Mount maps share simultaneously from labstore1003 and 1001

https://gerrit.wikimedia.org/r/316482

Change 316482 merged by Madhuvishy:
labstore: Mount maps share simultaneously from labstore1003 and 1001

https://gerrit.wikimedia.org/r/316482

Mentioned in SAL (#wikimedia-labs) [2016-10-18T17:49:21Z] <madhuvishy> Rolling out https://gerrit.wikimedia.org/r/#/c/316482/ on maps instances for T147657

Maps migration details

Announcement:

The /data/project/maps NFS share is undergoing maintenance, starting 9 AM PST (16:00 GMT) and will be unavailable for a short window on 10/19/2016.

Post maintenance, there will be a change in the process for having /data/project/maps available to new instances added in future to the maps project. When a new instance is created, please notify the Labs team, ideally by making a phabricator ticket tagging project Labs, and we will have to make a small change to production puppet config, to have the share available on the new instance. Note that this is specific to maps and does not apply to existing instances.

Plan:

  • Define maps as a labstore1003 mount [DONE]
  • Mount maps from labstore1003 and 1001 - https://gerrit.wikimedia.org/r/#/c/316482/
  • Remove the mount from 1001 (Removing defn from nfs-mount.yaml)
  • Snapshot and latest sync of the maps share
  • Symlink mount path - /mnt/nfs/labstore1003-maps/project to /data/project and /mnt/nfs/labstore1003-maps/home to /home on maps - Running puppet should bring back the share
  • labstore::fileserver::replicate - Move to misc.pp

Mentioned in SAL (#wikimedia-labs) [2016-10-18T23:09:49Z] <madhuvishy> Reenabled puppet on maps instances. Maps share mounted at /mnt/nfs/labstore1003 on all instances (T147657)

Change 316816 had a related patch set uploaded (by Madhuvishy):
maps nfs: Remove mount at /project sourced from labstore1001

https://gerrit.wikimedia.org/r/316816

Mentioned in SAL (#wikimedia-labs) [2016-10-19T16:16:33Z] <madhuvishy> Disabling puppet across maps hosts to unmount nfs shares from labstore1001 (T147657)

Change 316816 merged by Madhuvishy:
maps nfs: Remove mount at /project sourced from labstore1001

https://gerrit.wikimedia.org/r/316816

Mentioned in SAL (#wikimedia-labs) [2016-10-19T17:17:25Z] <madhuvishy> Snapshot and syncing latest copy of maps share to labstore1003 (T147657)

Mentioned in SAL (#wikimedia-labs) [2016-10-20T14:35:04Z] <madhuvishy> Sync to labstore1003 complete (T147657)

Mentioned in SAL (#wikimedia-labs) [2016-10-20T15:07:11Z] <madhuvishy> Symlinks for /home and /data/project from labstore1003 mount setup. Puppet enabled everywhere (T147657)

cmarqu added a subscriber: cmarqu.Oct 21 2016, 3:43 PM

Mentioned in SAL (#wikimedia-labs) [2016-10-21T17:03:16Z] <madhuvishy> Applied new changes to previously unreachable instance maps-warper.maps (T147657)

chasemp closed this task as Resolved.Nov 16 2016, 3:47 PM

This is done and we need to find a new home for maps as we fixup labstore1001 but the scope of this task is itself completed